<?php
if ((isset($detjdiversi)) and (!empty($detjdiversi)) and ($detjdiversi!='')){
	foreach ($detjdiversi as $row){
?>
<script src="<?php echo base_url();?>resources/js/jquery.ui.timepicker.js"></script>
<div class="centering" style="width:800px;margin-top: 1%;">
<div id='tunda_jadwal_diversi' style="border: 1px solid #ffffff;">
	<div class="detil" style="padding: 2px;background-color: white;">
		<form id="frm_tunda_jadwal_diversi" class="removeformbottomspace" method="post" action="<?php echo base_url().'jadwal_diversi_c/validateTunda';?>">
			<table id="tableDetilPerkara" style="font-size:14px;">
				<col width="20%">
				<col width="80%">
				<tbody>
					<tr>
						<td colspan="2" style="padding:4px;background:white;font-size:16px;color:#111;" align="center"><strong><?php echo $namahalaman; ?></strong></td>
					</tr>
					<tr>
						<td colspan="2" class="divider">Info Jadwal Musyawarah Diversi Sebelumnya</td>
					</tr>
					<tr>
						<td>Tanggal</td>
						<td><?php 
							echo $this->tanggalhelper->convertDayDate($row->tanggal_musyawarah);
							echo "<input type='hidden' name='tgldiversisblm' id='tgldiversisblm' value='".$row->tanggal_musyawarah."'>";
							?>
						</td>
					</tr>
					<tr>
						<td>Tempat</td>
						<td style="padding:0px;padding-left:5px;">
						<?php 
						echo "$row->tempat";
						echo "<input type='hidden' name='tempatsblm' id='tempatsblm' value='".$row->tempat."'>";
						?>
						</td>
					</tr>

					<tr>
						<td colspan="2" class="divider">Jadwal Musyawarah Diversi Berikutnya</td>
					</tr>

					<tr>
						<td>Tanggal<span style="color:red">*</span></td>
						<td><input type="text" id="tgl_musyawarah" name="tgl_musyawarah" class="datepicker" maxlength="10" placeholder="tgl/bln/tahun" required></td>
					</tr>
					<tr>
						<td>Tempat<span style="color:red">*</span></td>
						<td style="padding:0px;padding-left:5px;">
							<textarea name="tempat" id="tempat" maxlength="500" class="standard-input" style="margin: 0px; width: 610px; height: 100px;resize: none;" placeholder="Tuliskan tempat pelaksanaan musyawarah diversi dengan lengkap dan jelas" required></textarea>
						</td>
					</tr>
					<tr>
						<td colspan="2" class="buttongroup">
							<input type="hidden" id='curr_date' value="<?php echo $curr_date;?>">
							<input type="hidden" name="enc" id="enc" value="<?php echo $enc; ?>">
							<input type="hidden" name="encdiversi" id="enc" value="<?php echo $encdiversi; ?>">
							<input type="hidden" name="encjadwaldiversi" id="enc" value="<?php echo $encjadwaldiversi; ?>">
							<input type="hidden" name="namahalaman" id="namahalaman" value="<?php echo $namahalaman; ?>">
							<input type="button" id='close_tunda_jadwal_diversi' value="Kembali" class="btn">
							<input type="submit" id="simpan" value="Simpan" class="btn">
						</td>
					</tr>
				</tbody>
			</table>
		</form>
	</div>
</div>
</div>
<?php }
} ?>
<script type="text/javascript">
/*$('#close_tunda_jadwal_diversi').closingFormWin();*/
$('#close_tunda_jadwal_diversi').click(function(){
    window.open("<?php echo base_url('perkara_detil/'.$enc.'/3');?>","_self");    
});
$('#frm_tunda_jadwal_diversi').SubmitHandling({
	refresh:'1',
	setRefresh:1,
	divRef:'#konten',
	clicked:1,
	btnClicked:'#close_tunda_jadwal_diversi',
	whenStatus:1,
	next_step:1
});

$('#tgl_musyawarah').change(function(){
            	var error = 0;
				
				var tmp = $(this).val().split("/");
				var tmp2 = $('#curr_date').val().split("/");
				var tanggal_diversi = $('#tgldiversisblm').val();
				var tmp3 = tanggal_diversi.split("-");
				
				//if((new Date(tmp[2]+"-"+tmp[1]+"-"+tmp[0]+"T00:00:00").getTime() > new Date(tmp2[2]+"-"+tmp2[1]+"-"+tmp2[0]+"T00:00:00").getTime())){
				//	message = 'Tidak Dapat Memilih Melebihi Hari ini. Sekarang Tanggal '+$('#curr_date').val();
				//	error = 1
				//}
				if((new Date(tmp[2]+"-"+tmp[1]+"-"+tmp[0]+"T00:00:00").getTime() <= new Date(tmp3[0]+"-"+tmp3[1]+"-"+tmp3[2]+"T00:00:00").getTime())){
					message = 'Tidak Dapat Memilih Tanggal Sebelum Atau Tepat Pada Tanggal Musyawarah Diversi Sebelumnya';
					error = 1
				}
				if(error==1){
					message_error_show(message);
					$(this).css("background-color", "red");
				}else{
					$(this).css("background-color", "#dedbdb");
				}
				error = 0;
      	});
$('#tgl_musyawarah').datepicker({
            inline: true,
            showOtherMonths: true,
            dateFormat: 'dd/mm/yy',
            dayNamesMin: ['Ming', 'Sen', 'Sel', 'Rab', 'Kam', 'Jum', 'Sab'],
            beforeShowDay:$.datepicker.noWeekends,
            onSelect: function(dateText, inst) {
            	var error = 0;
				
				var tmp = $(this).val().split("/");
				var tmp2 = $('#curr_date').val().split("/");
				var tanggal_diversi = $('#tgldiversisblm').val();
				var tmp3 = tanggal_diversi.split("-");
				
				if((new Date(tmp[2]+"-"+tmp[1]+"-"+tmp[0]+"T00:00:00").getTime() <= new Date(tmp3[0]+"-"+tmp3[1]+"-"+tmp3[2]+"T00:00:00").getTime())){
					message = 'Tidak Dapat Memilih Tanggal Sebelum Atau Tepat Pada Tanggal Musyawarah Diversi Sebelumnya';
					error = 1
				}
				if(error==1){
					message_error_show(message);
					$(this).css("background-color", "red");
				}else{
					$(this).css("background-color", "#dedbdb");
				}
				error = 0;
        	}
        	
      	});
$('#tgl_musyawarah').ValidateDateInput();
</script>